<?php
require 'vendor/autoload.php';

use Aws\S3\S3Client;
use Aws\Exception\AwsException;

// Instantiate the S3 client with your AWS credentials
$s3Client = new S3Client([
    'version' => 'latest',
    'region'  => 'us-west-1',  // e.g., 'us-west-2'
    'credentials' => [
        'key'    => 'AKIATCKANR5LAFIXJG6H',
        'secret' => 'tdprAGt7sFihA8Dbi7f5dksovpvziLZowR7vEOf8',
    ],
]);

$bucketName = 'taskmonsters';
$objectKey = '66599685e85e6768d0e4046c/20240531/6659968f3239ad905428200c/2c80a8a6-49f7-4573-8694-f2d55d182645/4adc8faf-1a39-4c89-8f66-4c08f8fcb867/4adc8faf-1a39-4c89-8f66-4c08f8fcb867.mp4';  // e.g., 'foldername/filename.ext'
$expiryTime = '+20 minutes';  // Duration for which the URL will be valid

try {
    $cmd = $s3Client->getCommand('GetObject', [
        'Bucket' => $bucketName,
        'Key'    => $objectKey,
    ]);

    $request = $s3Client->createPresignedRequest($cmd, $expiryTime);

    // Get the actual presigned-url
    $presignedUrl = (string) $request->getUri();

    echo "Presigned URL: {$presignedUrl}\n";

} catch (AwsException $e) {
    // Output error message if fails
    echo $e->getMessage();
    echo "\n";
}
